AI Image - Text to Image
curl --request POST \
--url https://leapx-hub.com/prod-api/nebula/v4/api/text2imageSubmit \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"volcEngineReqDTO.req.prompt": "<string>",
"volcEngineReqDTO.req.size": "<string>"
}
'import requests
url = "https://leapx-hub.com/prod-api/nebula/v4/api/text2imageSubmit"
payload = {
"volcEngineReqDTO.req.prompt": "<string>",
"volcEngineReqDTO.req.size": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'volcEngineReqDTO.req.prompt': '<string>',
'volcEngineReqDTO.req.size': '<string>'
})
};
fetch('https://leapx-hub.com/prod-api/nebula/v4/api/text2imageSubmit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "Operation successful",
"data": {
"images": [{
"url": "https://example.com/image.jpg"
}]
}
}
AI Image
AI Image - Text to Image
POST
/
prod-api
/
nebula
/
v4
/
api
/
text2imageSubmit
AI Image - Text to Image
Introduction
Submit text-to-image task, used to generate new images based on text description.Authentication
string
required
Bearer Token, e.g.,
Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...
How to get: Obtain via the POST interface in the Authentication module at the top left, https://docs.leapx-hub.com/en/leapx-lab-v4/endpoint/get-tokenRequest Parameters
string
required
Image description prompt
string
Image size, e.g., 512x512, 1024x1024
Example Code
- cURL Example
- Python Example
curl -X POST "https://leapx-hub.com/prod-api/nebula/v4/api/text2imageSubmit" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer sk-xxxxxxxxxx" \
-d '{
"req": {
"prompt": "A cute little cat playing on the grass",
"size": "1024x1024"
}
}'
import requests
import json
url = "https://leapx-hub.com/prod-api/nebula/v4/api/text2imageSubmit"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer sk-xxxxxxxxxx"
}
data = {
"req": {
"prompt": "A cute little cat playing on the grass",
"size": "1024x1024"
}
}
response = requests.post(url, headers=headers, data=json.dumps(data))
print(response.json())
Response Example
{
"code": 200,
"msg": "Operation successful",
"data": {
"images": [{
"url": "https://example.com/image.jpg"
}]
}
}
⌘I
